Bug 1222662 - Review Request: notify-sharp3 - C# Desktop Notification with gtk3
Summary: Review Request: notify-sharp3 - C# Desktop Notification with gtk3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1221559
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 18:48 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2017-01-12 15:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 15:16:03 UTC
Type: Bug
comzeradd: fedora-review+


Attachments (Terms of Use)

Description Claudio Rodrigo Pereyra DIaz 2015-05-18 18:48:02 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/notify-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/notify-sharp3-3.0.3-1.fc21.src.rpm
Description: A C# implementation for Desktop Notifications
Fedora Account System Username: elsupergomez

Comment 2 Nikos Roussos 2016-06-06 09:45:03 UTC
This is one of the dependencies needed for the latest version of Sparkleshare, so I'm willing to review it.

Could you check rpmlint messages? Especially the errors.


Rpmlint
-------
Checking: notify-sharp3-3.0.3-1.fc23.x86_64.rpm
          notify-sharp3-devel-3.0.3-1.fc23.x86_64.rpm
          notify-sharp3-doc-3.0.3-1.fc23.noarch.rpm
          notify-sharp3-3.0.3-1.fc23.src.rpm
notify-sharp3.x86_64: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
notify-sharp3.x86_64: W: spelling-error %description -l en_US popups -> pop ups, pop-ups, pops
notify-sharp3.x86_64: E: no-binary
notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: no-documentation
notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: no-documentation
notify-sharp3.src: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
notify-sharp3.src: W: spelling-error %description -l en_US popups -> pop ups, pop-ups, pops
notify-sharp3.src:56: E: hardcoded-library-path in %{_prefix}/lib
notify-sharp3.src:63: E: hardcoded-library-path in %{_prefix}/lib/pkgconfig/*.pc
notify-sharp3.src:75: E: hardcoded-library-path in %{_prefix}/lib/monodoc/sources/*
4 packages and 0 specfiles checked; 4 errors, 9 warnings.



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: no-documentation
notify-sharp3.x86_64: E: no-binary
notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 5 warnings.

Comment 3 Claudio Rodrigo Pereyra DIaz 2016-06-07 17:09:14 UTC
(In reply to Nikos Roussos from comment #2)
> This is one of the dependencies needed for the latest version of
> Sparkleshare, so I'm willing to review it.
> 
> Could you check rpmlint messages? Especially the errors.
> 
> 
> Rpmlint
> -------
> Checking: notify-sharp3-3.0.3-1.fc23.x86_64.rpm
>           notify-sharp3-devel-3.0.3-1.fc23.x86_64.rpm
>           notify-sharp3-doc-3.0.3-1.fc23.noarch.rpm
>           notify-sharp3-3.0.3-1.fc23.src.rpm
> notify-sharp3.x86_64: W: spelling-error %description -l en_US libnotify ->
> lib notify, lib-notify, notify
Not applicable libnotify is a package name
> notify-sharp3.x86_64: W: spelling-error %description -l en_US popups -> pop
> ups, pop-ups, pops
> notify-sharp3.x86_64: E: no-binary
https://fedoraproject.org/wiki/Common_Rpmlint_issues#no-binary is not applicable according https://fedoraproject.org/wiki/Packaging:Mono?rd=Packaging/Mono#File_Locations_and_Architectures
> notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
> notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
> notify-sharp3-devel.x86_64: W: no-documentation
> notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
> notify-sharp3-doc.noarch: W: no-documentation
> notify-sharp3.src: W: spelling-error %description -l en_US libnotify -> lib
> notify, lib-notify, notify
> notify-sharp3.src: W: spelling-error %description -l en_US popups -> pop
> ups, pop-ups, pops
> notify-sharp3.src:56: E: hardcoded-library-path in %{_prefix}/lib
https://fedoraproject.org/wiki/Packaging:Mono?rd=Packaging/Mono#File_Locations_and_Architectures
> notify-sharp3.src:63: E: hardcoded-library-path in
> %{_prefix}/lib/pkgconfig/*.pc
.pc file must be in %{_libdir} but in 64 bit is installed into /usr/lib instead /usr/lib if fixed the location of all files acording Mono Guidlines
> notify-sharp3.src:75: E: hardcoded-library-path in
> %{_prefix}/lib/monodoc/sources/*
Mono docs are platform independent
> 4 packages and 0 specfiles checked; 4 errors, 9 warnings.
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> sh: /usr/bin/python: No such file or directory
> notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
> notify-sharp3-devel.x86_64: W: no-documentation
> notify-sharp3.x86_64: E: no-binary
> notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
> notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
> notify-sharp3-doc.noarch: W: no-documentation
> 3 packages and 0 specfiles checked; 1 errors, 5 warnings.

All this errors happen in notify-sharp v0.4

Comment 4 Nikos Roussos 2016-06-09 13:53:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/comzeradd/review/1222662-notify-sharp3/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/mono/gac/notify-
     sharp(notify-sharp)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in notify-
     sharp3-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: notify-sharp3-3.0.3-1.fc25.x86_64.rpm
          notify-sharp3-devel-3.0.3-1.fc25.x86_64.rpm
          notify-sharp3-doc-3.0.3-1.fc25.noarch.rpm
          notify-sharp3-3.0.3-1.fc25.src.rpm
notify-sharp3.x86_64: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
notify-sharp3.x86_64: W: spelling-error %description -l en_US popups -> pop ups, pop-ups, pops
notify-sharp3.x86_64: E: no-binary
notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: no-documentation
notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: no-documentation
notify-sharp3.src: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
notify-sharp3.src: W: spelling-error %description -l en_US popups -> pop ups, pop-ups, pops
notify-sharp3.src:56: E: hardcoded-library-path in %{_prefix}/lib
notify-sharp3.src:63: E: hardcoded-library-path in %{_prefix}/lib/pkgconfig/*.pc
notify-sharp3.src:75: E: hardcoded-library-path in %{_prefix}/lib/monodoc/sources/*
4 packages and 0 specfiles checked; 4 errors, 9 warnings.



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
notify-sharp3-devel.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-devel.x86_64: W: no-documentation
notify-sharp3.x86_64: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
notify-sharp3.x86_64: W: spelling-error %description -l en_US popups -> pop ups, pop-ups, pops
notify-sharp3.x86_64: E: no-binary
notify-sharp3.x86_64: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
notify-sharp3-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 7 warnings.



Requires
--------
notify-sharp3-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    notify-sharp3(x86-64)
    pkgconfig
    pkgconfig(gtk-sharp-3.0)

notify-sharp3 (rpmlib, GLIBC filtered):
    mono(dbus-sharp)
    mono(dbus-sharp-glib)
    mono(gdk-sharp)
    mono(glib-sharp)
    mono(gtk-sharp)
    mono(mscorlib)

notify-sharp3-doc (rpmlib, GLIBC filtered):
    monodoc
    notify-sharp3



Provides
--------
notify-sharp3-devel:
    notify-sharp3-devel
    notify-sharp3-devel(x86-64)
    pkgconfig(notify-sharp-3.0)

notify-sharp3:
    mono(notify-sharp)
    notify-sharp3
    notify-sharp3(x86-64)

notify-sharp3-doc:
    notify-sharp3-doc



Source checksums
----------------
https://www.meebey.net/projects/notify-sharp/downloads/notify-sharp-3.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : a62ed07850a122e2bb7f2b88b32cf2fa675b60b912c0aeefb23f554ebfb1e56d
  CHECKSUM(SHA256) upstream package : a62ed07850a122e2bb7f2b88b32cf2fa675b60b912c0aeefb23f554ebfb1e56d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rawhide -b 1222662
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Nikos Roussos 2016-06-09 13:57:36 UTC
Everything looks good and rpmlint messages indees seem resolved or not applicable.

Approved.

Comment 6 Gwyn Ciesla 2016-06-09 15:37:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/notify-sharp3

Comment 7 Nikos Roussos 2017-01-12 15:16:03 UTC
The package is in repos. This was probably stuck open.


Note You need to log in before you can comment on or make changes to this bug.